@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

:root{
   
    --body-color: #E4E9F7;
    --sidebar-color: #FFF;
    --primary-color: rgba(68, 92, 76, 1);
    --primary-color-light: #F6F5FF;
    --toggle-color: #DDD;
    --text-color: #383838;
    --tran-03: all 0.2s ease;
    --tran-03: all 0.3s ease;
    --tran-04: all 0.3s ease;
    --tran-05: all 0.3s ease;
}

/* ===== Sidebar ===== */
 .sidebar{
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 270px;
    background: var(--sidebar-color);
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    z-index: 100; 
}

/* ===== Reusable code - Here ===== */
.sidebar li{
    height: 70px;
    list-style: none;
    display: flex;
    align-items: center;
    margin-left: -35px;
    border-bottom: 1px solid #e6e4e495;
    width: 113%;
    overflow-x: hidden;
    
}

.sidebar .icon{
    min-width: 60px;
    border-radius: 6px;
    height: 100%;
    display: flex;
    align-items: center;
    font-size: 30px;
}

.sidebar .text,
.sidebar .icon{
    color: var(--text-color);
    transition: var(--tran-03);
}

.sidebar .text{
    font-size: 20px;
    font-weight: 500;
    white-space: nowrap;
    opacity: 1;
}

/* =========================== */

.sidebar header .image img{
    width: 100%;
    border-radius: 6px;
}



.sidebar li a{
    list-style: none;
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
    border-radius: 4px;
    text-decoration: none;
    transition: var(--tran-03);
    padding-left: 45px;
}

.sidebar li a:hover{
    background-color:  rgba(68, 92, 76, 1);
    width: 100%;
}

.sidebar li a:hover .icon,
.sidebar li a:hover .text{
    color: var(--sidebar-color);
    
}

.room{
    background-color:  rgba(68, 92, 76, 1);
}

.room .icon,
.room .text{
    color: var(--sidebar-color);
}
.dashboard{
    background-color:  rgba(68, 92, 76, 1);
}

.dashboard .icon,
.dashboard .text{
    color: var(--sidebar-color);
}

.sidebar .menu-bar{
    height: calc(100% - 55px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow-y: scroll;
}

.menu-bar::-webkit-scrollbar{
    display: none;
}

.home{
    position: absolute;
    top: 0;
    left: 270px;
    height:auto;
    width: calc(100% - 270px);
    background-color:rgba(0, 0, 0, 0.06);
    transition: var(--tran-05);
}
.home .text{
    font-size: 20px;
    font-weight: 500;
    color: var(--text-color);
    padding: 12px 60px;
}

.logout {
    margin-bottom: 100px;
}

.logout a{
    align-items: center;
   
    margin-left: 35px;
    border-top: 1px solid #ccc;
}
.top-bar {
    width:100%;
    height: 100px;
    background-color: white;
    display: flex;
    align-items: center;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    padding-left: 70px;
  
}
.form{
    position: relative;
}

.form .bx-search{
    position: absolute;
    top:18px;
    left: 20px;
    color: #8e96a4;
    font-size: large;
}
.form input{
    height: 50px;
    width: 500px;
    text-indent: 33px;
    border-radius: 100px;
    border: solid 1px rgba(0, 0, 0, 0.322);
}

.form input:focus{
    box-shadow: none;
    border:none;
}

.logo {
    margin-left: 50px;
}

.content {
    padding: 20px;
    padding-left: 40px;
}
